Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSConnectionConsumerMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 This functionality will be removed in a future release. New applications should use message-driven beans for this purpose.

public interface JMSConnectionConsumerMBean
extends ConfigurationMBean

This class defines a JMS connection consumer, which is a JMS destination (queue or topic) that retrieves server sessions and processes messages.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getDestination()` Deprecated. The JNDI name of the destination for this connection consumer.
`int` | `getMessagesMaximum()` Deprecated. The defined maximum number of messages that the connection consumer can load at one time into a ServerSession's session.
`String` | `getSelector()` Deprecated. The defined JMS message selector of the connection consumer.
`void` | `setDestination(String destination)` Deprecated. Sets the value of the Destination attribute.
`void` | `setMessagesMaximum(int messagesMaximum)` Deprecated. Sets the value of the MessagesMaximum attribute.
`void` | `setSelector(String selector)` Deprecated. Sets the value of the Selector attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getDestination

    public String getDestination()

  Deprecated.

  The JNDI name of the destination for this connection consumer.

  Returns:
    The destination value

### getMessagesMaximum

    public int getMessagesMaximum()

  Deprecated.

  The defined maximum number of messages that the connection consumer can load at one time into a ServerSession's session.

  Returns:
    The messagesMaximum value

### getSelector

    public String getSelector()

  Deprecated.

  The defined JMS message selector of the connection consumer.

  Returns:
    The selector value

### setDestination

    public void setDestination(String destination)
                        throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the Destination attribute.

  Parameters:
    `destination` - The new destination value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDestination()`
  A dynamic MBean attribute.
    false

### setMessagesMaximum

    public void setMessagesMaximum(int messagesMaximum)
                            throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the MessagesMaximum attribute.

  Parameters:
    `messagesMaximum` - The new messagesMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMessagesMaximum()`
  Default value:
    10
  Minimum value:
    1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setSelector

    public void setSelector(String selector)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the Selector attribute.

  Parameters:
    `selector` - The new selector value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSelector()`
  Default value:
    null
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD